OhentPay
API Reference

Reference data

Reference data operations

Fetch country list

GET
/countries
AuthorizationBearer <token>

In: header

Response Body

curl -X GET "https://api.ohentpay.com/countries"
[
  {
    "country_name": "United Kingdom",
    "alpha2": "GB",
    "currencies": [
      "GBP",
      "USD",
      "EUR"
    ]
  }
]

Fetch currency list

GET
/currencies
AuthorizationBearer <token>

In: header

Response Body

curl -X GET "https://api.ohentpay.com/currencies"
[
  {
    "currency_code": "GBP",
    "currency_name": "Great British Pounds",
    "exchange_from": true,
    "supports_virtual_account": false,
    "supports_payment_requests": false
  }
]

Fetch fields required to create bank account

This endpoint allows you to programatically generate fields to collect and validate the required bank account details for creating a new recipient.

GET
/bankfields
AuthorizationBearer <token>

In: header

Query Parameters

countrystring
currencystring

Response Body

curl -X GET "https://api.ohentpay.com/bankfields?country=GB&currency=GBP"
[
  {
    "name": "account_name",
    "label": "Account name",
    "type": "text"
  },
  {
    "name": "sort_code",
    "label": "Sort code",
    "type": "number",
    "length": 6
  },
  {
    "name": "account_number",
    "label": "Account number",
    "type": "number",
    "length": 8
  }
]